> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Billing/Shipping

> This endpoint adds billing/shipping details to an already existing customer object



## OpenAPI

````yaml post /v3/customer/{id}/{type}
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/customer/{id}/{type}:
    post:
      summary: Add Billing/Shipping
      description: >-
        This endpoint adds billing/shipping details to an already existing
        customer object
      operationId: add-billingshipping
      parameters:
        - name: id
          in: path
          description: ID of an already existing customer object
          schema:
            type: string
          required: true
        - in: path
          name: type
          schema:
            type: string
            enum:
              - billing
              - shipping
          required: true
          description: The type of address you want to add.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                address_details:
                  type: object
                  description: Address Details
                  properties:
                    name:
                      type: string
                      description: Name
                    address:
                      $ref: '#/components/schemas/Address'
                    phone:
                      $ref: '#/components/schemas/Phone'
                    label:
                      type: string
                      description: Denotes the type of address (Example - home, work)
            examples:
              Request Example:
                value:
                  billing:
                    name: Andrew Robin
                    address:
                      line1: 29-35
                      line2: 9th Ave
                      city: New York
                      state: New York
                      country: US
                      postal_code: '10014'
                    phone:
                      calling_code: '1'
                      number: '9876543214'
                  shipping:
                    name: Andrew Robin
                    address:
                      line1: '1000'
                      line2: 5th Ave
                      city: New York
                      state: New York
                      country: US
                      postal_code: '10028'
                    phone:
                      calling_code: '1'
                      number: '9876543214'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: success
                    message: ''
                    data:
                      address_id: cad_d3rmr3k5rcmatbpls98g
                      message: Successfully added the customer billing address
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      address_id:
                        type: string
                        description: Unique id of the address added
                      message:
                        type: string
                        description: Success/Failure message
      deprecated: false
components:
  schemas:
    Address:
      type: object
      description: Address details
      properties:
        line1:
          type: string
          description: Address Line 1
        line2:
          type: string
          description: Address Line 2
        city:
          type: string
          description: Address city
        state:
          type: string
          description: Address state
        country:
          type: string
          description: Address country (ISO 3166-1 alpha-2 country code)
        postal_code:
          type: string
          description: Postal Code
    Phone:
      type: object
      description: Phone contact details
      properties:
        calling_code:
          type: string
          description: >-
            Calling country code (for example, '1' for United States, '91' for
            India)
        number:
          type: string
          description: Phone Number
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````